%define upstream_name Crypt-DES
%define name perl-%{upstream_name}
%define upstream_version 2.07

Name:		%{name}
Version:	%{upstream_version}
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl DES encryption module
Source0:	http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{upstream_name}-%{upstream_version}.tar.gz
Url:            http://search.cpan.org/dist/%{upstream_name}/
BuildRequires:	perl-devel


%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc README COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.07-2.mga4
+ Revision: 531908
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.07-1.mga4
+ Revision: 465689
- update to 2.07

* Wed May 29 2013 jquelin <jquelin> 2.05_002-15.mga4
+ Revision: 431460
- update to 2.05_002
- perl 5.18.0 rebuild

  + tv <tv>
    - rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.05-13.mga3
+ Revision: 364833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.05-12.mga3
+ Revision: 250390
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.05-11.mga2
+ Revision: 103789
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.05-10.mga1
+ Revision: 29664
- mageia rebuild
- imported package perl-Crypt-DES

